#include <ArduinoJson.h>
#include <JsonLogic.h>

using json_logic::Json;
using json_logic::JsonLogic;

void setup()
{
  Serial.begin(115200);

  Json logic;
  Json data;
  deserializeJson(logic, R"({"<":[{"var":"temperature"},110]})");
  deserializeJson(data, R"({"temperature":100})");

  JsonLogic* engine = JsonLogic::GetInstance();
  Json result = engine->Apply(logic, data);

  if (engine->HasError())
  {
    Serial.println(engine->GetLastError().c_str());
    return;
  }

  serializeJson(result, Serial);
  Serial.println();
}

void loop()
{
}
